org.tmatesoft.svn.core

## Class SVNException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.tmatesoft.svn.core.SVNException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    SVNAuthenticationException, SVNCancelException

      public class SVNException
      extends java.lang.Exception

  A main exception class that is used in the SVNKit library. All other SVNKit exception classes extend this one. Detailed information on the error (description, error code) is encapsulated inside an error message that is held by an SVNException.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SVNException(SVNErrorMessage errorMessage)` Creates an exception given an error message.
    `SVNException(SVNErrorMessage errorMessage, java.lang.Throwable cause)` Creates an exception given an error message and the cause exception.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SVNErrorMessage` | `getErrorMessage()` Returns an error message provided to this exception object.
    `java.lang.String` | `getMessage()` Returns the informational message describing the cause of this exception.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SVNException

          public SVNException(SVNErrorMessage errorMessage)

      Creates an exception given an error message.
      Parameters:
        `errorMessage` - an error message

    - #### SVNException

          public SVNException(SVNErrorMessage errorMessage,
                      java.lang.Throwable cause)

      Creates an exception given an error message and the cause exception.
      Parameters:
        `errorMessage` - an error message
        `cause` - the real cause of the error

  - ### Method Detail

    - #### getErrorMessage

          public SVNErrorMessage getErrorMessage()

      Returns an error message provided to this exception object.
      Returns:
        an error message that contains details on the error

    - #### getMessage

          public java.lang.String getMessage()

      Returns the informational message describing the cause of this exception.
      Overrides:
        `getMessage` in class `java.lang.Throwable`
      Returns:
        an informational message

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.